import request from '@/utils/request'

// 查询票据订单列表
export function partnerRelationPage (query) {
  return request({
    url: `/partner/partnerRelation/page`,
    method: 'get',
    params: query
  })
}
// 启用/禁用
export function partnerRelationSetStatus (id) {
  return request({
    url: `/partner/partnerRelation/setStatus/${id}`,
    method: 'post',
  })
}
// 新增合伙人
export function partnerRelationAdd (data) {
  return request({
    url: `/partner/partnerRelation/add`,
    method: 'post',
    data
  })
}
// 合伙人下拉列表
export function partnerRelationList (query) {
  return request({
    url: `/partner/partnerRelation/list`,
    method: 'get',
    params: query
  })
}
// 规则配置
export function partnerRuleConfigSet (data) {
  return request({
    url: `/partner/partnerRuleConfig/set`,
    method: 'post',
    data
  })
}
// 规则配置详细信息
export function partnerRuleConfigInfo () {
  return request({
    url: `/partner/partnerRuleConfig/default`,
    method: 'get',
  })
}